## cubicsdr 0.2.0+git20170310+dfsg

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 2.8)

project (CubicSDR)

list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake/Modules/")

SET(CUBICSDR_VERSION_MAJOR "0")
SET(CUBICSDR_VERSION_MINOR "2")
SET(CUBICSDR_VERSION_PATCH "2")
SET(CUBICSDR_VERSION_SUFFIX "-alpha")
SET(CUBICSDR_VERSION "${CUBICSDR_VERSION_MAJOR}.${CUBICSDR_VERSION_MINOR}.${CUBICSDR_VERSION_PATCH}${CUBICSDR_VERSION_SUFFIX}")

SET(CPACK_PACKAGE_VERSION "${CUBICSDR_VERSION_MAJOR}.${CUBICSDR_VERSION_MINOR}.${CUBICSDR_VERSION_PATCH}")
SET(CPACK_PACKAGE_VERSION_MAJOR ${CUBICSDR_VERSION_MAJOR})
SET(CPACK_PACKAGE_VERSION_MINOR ${CUBICSDR_VERSION_MINOR})
SET(CPACK_PACKAGE_VERSION_PATCH ${CUBICSDR_VERSION_PATCH})

SET (CUSTOM_BUILD OFF CACHE BOOL "Enable custom build options")
# Build options for custom deploys, optimization and debugging
IF(CUSTOM_BUILD)
    SET (CUBICSDR_BUILD_TITLE CACHE STRING "Custom Title")
    # bundle flags
    SET (CUBICSDR_INSTALL_NAME CACHE "CubicSDR" "Installation Name")
    SET (CUBICSDR_INSTALL_TITLE CACHE "CubicSDR" "Installation Title")
    SET (CUBICSDR_HEADER_IMAGE CACHE "" "Image file to display in header")
    SET (CUBICSDR_HEADER_BG CACHE "000000" "Background Color (HEX) for header")
    # feature flags
    SET (CUBICSDR_ENABLE_VIEW_DEMOD ON CACHE BOOL "Enable Second Demodulator Spectrum/Waterfall view.")
    SET (CUBICSDR_ENABLE_VIEW_SCOPE ON CACHE BOOL "Enable Demodulator Scope/Spectrum view.")
    SET (CUBICSDR_MODEM_EXCLUDE CACHE "" "Comma-separated list of modems to exclude.")    

    IF (NOT CUBICSDR_HEADER_IMAGE STREQUAL "")
        SET(CUBICSDR_HAS_HEADER_IMAGE TRUE)
        GET_FILENAME_COMPONENT(CUBICSDR_HEADER_IMAGE_FILE "${CUBICSDR_HEADER_IMAGE}" NAME)
        GET_FILENAME_COMPONENT(CUBICSDR_HEADER_IMAGE_DIR "${CUBICSDR_HEADER_IMAGE}" PATH)
        ADD_DEFINITIONS( 
            -DCUBICSDR_HEADER_IMAGE="${CUBICSDR_HEADER_IMAGE_FILE}"
            -DCUBICSDR_HEADER_BG="${CUBICSDR_HEADER_BG}"
        )
    ENDIF()

    IF (NOT CUBICSDR_MODEM_EXCLUDE STREQUAL "")
        ADD_DEFINITIONS( 
            -DCUBICSDR_MODEM_EXCLUDE="${CUBICSDR_MODEM_EXCLUDE}"
        )
    ENDIF()
ELSE()
    SET (CUBICSDR_BUILD_TITLE "CubicSDR v${CUBICSDR_VERSION} :: www.cubicsdr.com")
    # bundle flags
    SET (CUBICSDR_INSTALL_NAME "CubicSDR")
    SET (CUBICSDR_INSTALL_TITLE "CubicSDR ${CUBICSDR_VERSION} Installer")
    SET (CUBICSDR_HEADER_IMAGE "")
    SET (CUBICSDR_HEADER_BG "")
    # feature flags
    SET (CUBICSDR_ENABLE_VIEW_DEMOD TRUE)
    SET (CUBICSDR_ENABLE_VIEW_SCOPE TRUE)
    SET (CUBICSDR_EXCLUDE_MODEM "")    
ENDIF()

IF(CUBICSDR_ENABLE_VIEW_DEMOD) 
    ADD_DEFINITIONS( -DCUBICSDR_ENABLE_VIEW_DEMOD=1 )
ENDIF()

IF(CUBICSDR_ENABLE_VIEW_SCOPE) 
    ADD_DEFINITIONS( -DCUBICSDR_ENABLE_VIEW_SCOPE=1 )
ENDIF()

ADD_DEFINITIONS(
    -DCUBICSDR_INSTALL_NAME="${CUBICSDR_INSTALL_NAME}"
    -DCUBICSDR_VERSION="${CUBICSDR_VERSION}"
    -DCUBICSDR_BUILD_TITLE="${CUBICSDR_BUILD_TITLE}"
)

SET (ENABLE_DIGITAL_LAB OFF CACHE BOOL "Enable 'Digital Lab' testing features.")
IF(ENABLE_DIGITAL_LAB)
ADD_DEFINITIONS(
    -DENABLE_DIGITAL_LAB=1
)
ENDIF()

set(USE_HAMLIB OFF CACHE BOOL "Support hamlib for radio control functions.")

if (USE_HAMLIB)
    find_package(hamlib REQUIRED)
    
    if (NOT HAMLIB_FOUND)
        message(FATAL_ERROR "hamlib development files not found...")
    endif ()
    
    include_directories(${HAMLIB_INCLUDE_DIR})
    link_libraries(${HAMLIB_LIBRARY})

    ADD_DEFINITIONS(-DUSE_HAMLIB)        
endif ()

macro(configure_files srcDir destDir globStr)
    message(STATUS "Copying ${srcDir}/${globStr} to directory ${destDir}")
    make_directory(${destDir})

    file(GLOB templateFiles RELATIVE ${srcDir} ${srcDir}/${globStr})
    foreach(templateFile ${templateFiles})
        set(srcTemplatePath ${srcDir}/${templateFile})
        message(STATUS "Configuring file ${templateFile}")
        if(NOT IS_DIRECTORY ${srcTemplatePath})
            configure_file(
                    ${srcTemplatePath}
                    ${destDir}/${templateFile}
                    COPYONLY)
        endif(NOT IS_DIRECTORY ${srcTemplatePath})
    endforeach(templateFile)
endmacro(configure_files)

macro(configure_files_recurse srcDir destDir)
    message(STATUS "Configuring directory ${destDir}")
    make_directory(${destDir})

    file(GLOB_RECURSE templateFiles RELATIVE ${srcDir} ${srcDir}/*)
    foreach(templateFile ${templateFiles})
        set(srcTemplatePath ${srcDir}/${templateFile})
        message(STATUS "Configuring file ${templateFile}")
        if(NOT IS_DIRECTORY ${srcTemplatePath})
            configure_file(
                    ${srcTemplatePath}
                    ${destDir}/${templateFile}
                    COPYONLY)
        endif(NOT IS_DIRECTORY ${srcTemplatePath})
    endforeach(templateFile)
endmacro(configure_files_recurse)

if( CMAKE_SIZEOF_VOID_P EQUAL 8 )
    MESSAGE( "64 bit compiler detected" )
    SET( EX_PLATFORM 64 )
    SET( EX_PLATFORM_NAME "x64" )
else( CMAKE_SIZEOF_VOID_P EQUAL 8 ) 
    MESSAGE( "32 bit compiler detected" )
    SET( EX_PLATFORM 32 )
    SET( EX_PLATFORM_NAME "x86" )
endif( CMAKE_SIZEOF_VOID_P EQUAL 8 )


SET( CMAKE_RUNTIME_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/${EX_PLATFORM_NAME})
SET( CMAKE_RUNTIME_OUTPUT_DIRECTORY_DEBUG ${PROJECT_BINARY_DIR}/${EX_PLATFORM_NAME})
SET( CMAKE_RUNTIME_OUTPUT_DIRECTORY_RELEASE ${PROJECT_BINARY_DIR}/${EX_PLATFORM_NAME})

IF (MSVC) 
    include_directories ("${PROJECT_SOURCE_DIR}/external/wglext")
    SET(LIQUID_INCLUDES "${PROJECT_SOURCE_DIR}/external/liquid-dsp/include/" CACHE STRING "Liquid-DSP include directory")
    SET(LIQUID_LIBRARIES "${PROJECT_SOURCE_DIR}/external/liquid-dsp/msvc/${EX_PLATFORM}/libliquid.lib" CACHE STRING "Liquid-DSP Library")
    SET(LIQUID_DLL "${PROJECT_SOURCE_DIR}/external/liquid-dsp/msvc/${EX_PLATFORM}/libliquid.dll" CACHE STRING "Liquid-DSP DLL")
    SET(HAMLIB_DLLS "${PROJECT_SOURCE_DIR}/external/hamlib/${EX_PLATFORM}/libhamlib-2.dll" CACHE STRING "HAMLIB DLLS")
ELSE (MSVC)
    ADD_DEFINITIONS(
        -std=c++0x 
        -pthread
    )
ENDIF(MSVC)

find_package(OpenGL REQUIRED)
find_package(Liquid REQUIRED)
include_directories(${LIQUID_INCLUDES})
SET(OTHER_LIBRARIES ${OTHER_LIBRARIES} ${LIQUID_LIBRARIES})

find_package(wxWidgets COMPONENTS gl core propgrid adv base REQUIRED)
set(wxWidgets_CONFIGURATION mswu)
include(${wxWidgets_USE_FILE})

find_package(SoapySDR "0.4.0" NO_MODULE REQUIRED)
include_directories(${SOAPY_SDR_INCLUDE_DIR})
SET(OTHER_LIBRARIES ${SOAPY_SDR_LIBRARY} ${OTHER_LIBRARIES})
ADD_DEFINITIONS(
    -DUSE_SOAPY_SDR=1
)       

IF (WIN32)
    set(wxWidgets_USE_STATIC ON)

    set(BUILD_INSTALLER OFF CACHE BOOL "Build Installer")
    
    # Audio device selection is not mandatory, dummy audio device is used if none are compiled in.
    # Can also compile support for more than one simultaneously.
    set(USE_AUDIO_DS ON CACHE BOOL "Include support for DirectSound")
    set(USE_AUDIO_WASAPI OFF CACHE BOOL "Include support for WASAPI Audio")
    # TODO:
    # set(USE_AUDIO_ASIO OFF CACHE BOOL "Include support for ASIO Audio")

    # WASAPI
    IF(USE_AUDIO_WASAPI)
        ADD_DEFINITIONS(-D__WINDOWS_WASAPI__)    
        IF (NOT MSVC)    
            SET(OTHER_LIBRARIES ${OTHER_LIBRARIES} -luuid -lksuser)
        ENDIF(NOT MSVC)
    ENDIF(USE_AUDIO_WASAPI)

    # DirectSound
    IF (USE_AUDIO_DS)    
        ADD_DEFINITIONS(-D__WINDOWS_DS__)    
        IF (MSVC)    
            SET(OTHER_LIBRARIES ${OTHER_LIBRARIES} dsound.lib)
        ELSE (MSVC)
            SET(OTHER_LIBRARIES ${OTHER_LIBRARIES} -ldsound)
        ENDIF (MSVC)
    ENDIF(USE_AUDIO_DS)    
  
    SET(USE_MINGW_PATCH OFF CACHE BOOL "Add some missing functions when compiling against mingw liquid-dsp.")
    IF (USE_MINGW_PATCH) 
        SET(CMAKE_CXX_STANDARD_LIBRARIES "${CMAKE_CXX_STANDARD_LIBRARIES} legacy_stdio_definitions.lib libgcc.a")
        ADD_DEFINITIONS(
            -DMINGW_PATCH=1
        )
        SET (GCC_LINKDIR "" CACHE STRING "")
        IF (GCC_LINKDIR)
            link_directories("${GCC_LINKDIR}")
        ENDIF()
    ENDIF()
ENDIF (WIN32)

MACRO(use_included_rtaudio)
    SET (cubicsdr_sources
        ${cubicsdr_sources}
        external/rtaudio/RtAudio.cpp
    )
    SET (cubicsdr_headers
        ${cubicsdr_headers}
        external/rtaudio/RtAudio.h
    )
    SOURCE_GROUP("_ext-RTAudio" REGULAR_EXPRESSION "external/rtaudio/.*${REG_EXT}")
    include_directories(${PROJECT_SOURCE_DIR}/external/rtaudio)
ENDMACRO(use_included_rtaudio)

IF (UNIX AND NOT APPLE)
    set(BUILD_DEB OFF CACHE BOOL "Build DEB")

    SET(USE_SYSTEM_RTAUDIO OFF CACHE BOOL "Use the system RtAudio which in turn provides OSS, ALSA, JACK, PulseAudio support depending on how it was compiled")

    SET(LIQUID_LIB liquid)
    SET(OTHER_LIBRARIES ${OTHER_LIBRARIES} dl)

    IF(USE_SYSTEM_RTAUDIO)
        find_package(RtAudio)
        SET(OTHER_LIBRARIES ${OTHER_LIBRARIES} ${RTAUDIO_LIBRARIES})
        ADD_DEFINITIONS(${RTAUDIO_DEFINITIONS})
        include_directories(${RTAUDIO_INCLUDE_DIR})
    ELSE(USE_SYSTEM_RTAUDIO)
        use_included_rtaudio()

        SET(USE_AUDIO_PULSE ON CACHE BOOL "Use Pulse Audio")
        SET(USE_AUDIO_JACK OFF CACHE BOOL "Use Jack Audio")
        SET(USE_AUDIO_ALSA OFF CACHE BOOL "Use ALSA Audio")
        SET(USE_AUDIO_OSS OFF CACHE BOOL "Use OSS Audio")
  
        IF(USE_AUDIO_PULSE)
           SET (OTHER_LIBRARIES ${OTHER_LIBRARIES} pulse-simple pulse)
           ADD_DEFINITIONS(
                -D__LINUX_PULSE__
           )
        ENDIF(USE_AUDIO_PULSE)

        IF(USE_AUDIO_JACK)
           find_package(Jack)
           SET (OTHER_LIBRARIES ${OTHER_LIBRARIES} ${JACK_LIBRARIES})
           ADD_DEFINITIONS(
                -D__UNIX_JACK__
           )
           include_directories(${JACK_INCLUDE_DIRS})
        ENDIF(USE_AUDIO_JACK)

        IF(USE_AUDIO_ALSA)
           SET (OTHER_LIBRARIES ${OTHER_LIBRARIES} asound)
           set(ALSA_INCLUDE_DIR "/usr/include" CACHE FILEPATH "ALSA include path")
           include_directories(${ALSA_INCLUDE_DIR})
           set(ALSA_LIB_DIR "/usr/lib" CACHE FILEPATH "ALSA lib path")
           link_directories(${ALSA_LIB_DIR})
           ADD_DEFINITIONS(
               -D__LINUX_ALSA__
           )
        ENDIF(USE_AUDIO_ALSA)

        IF(USE_AUDIO_OSS)
           SET (OTHER_LIBRARIES ${OTHER_LIBRARIES} oss)
           ADD_DEFINITIONS(
                -D__LINUX_OSS__
           )
        ENDIF(USE_AUDIO_OSS)
    ENDIF(USE_SYSTEM_RTAUDIO)
ELSE(UNIX AND NOT APPLE)
    use_included_rtaudio()
ENDIF(UNIX AND NOT APPLE)

IF (APPLE)
    SET(CMAKE_OSX_DEPLOYMENT_TARGET, "10.9")
  
    SET(LIQUID_LIB liquid)
    link_directories(/usr/local/lib)
    link_directories(/opt/local/lib)

    ADD_DEFINITIONS(
      -D__MACOSX_CORE__
    )    

   FIND_LIBRARY(COREAUDIO_LIBRARY CoreAudio)
   SET (OTHER_LIBRARIES ${COREAUDIO_LIBRARY} ${OTHER_LIBRARIES})
   set(BUNDLE_APP OFF CACHE BOOL "Bundle Application")

ENDIF (APPLE)


SET (cubicsdr_sources
    ${cubicsdr_sources}
    src/CubicSDR.cpp
    src/AppFrame.cpp
    src/AppConfig.cpp
    src/FrequencyDialog.cpp
    src/DemodLabelDialog.cpp
    src/IOThread.cpp
    src/ModemProperties.cpp
    src/BookmarkMgr.cpp
    src/sdr/SDRDeviceInfo.cpp
    src/sdr/SDRPostThread.cpp
    src/sdr/SDREnumerator.cpp
    src/sdr/SoapySDRThread.h
    src/demod/DemodulatorPreThread.cpp
    src/demod/DemodulatorThread.cpp
    src/demod/DemodulatorWorkerThread.cpp
    src/demod/DemodulatorInstance.cpp
    src/demod/DemodulatorMgr.cpp
    src/modules/modem/Modem.cpp
    src/modules/modem/ModemAnalog.cpp
    src/modules/modem/ModemDigital.cpp
    src/modules/modem/analog/ModemAM.cpp
    src/modules/modem/analog/ModemDSB.cpp
    src/modules/modem/analog/ModemFM.cpp
    src/modules/modem/analog/ModemNBFM.cpp
    src/modules/modem/analog/ModemFMStereo.cpp
    src/modules/modem/analog/ModemIQ.cpp
    src/modules/modem/analog/ModemLSB.cpp
    src/modules/modem/analog/ModemUSB.cpp
    src/audio/AudioThread.cpp
    src/util/Gradient.cpp

=== debian/changelog ===
cubicsdr (0.2.0+git20170310+dfsg-2) unstable; urgency=medium

  * Link to libatomic (Closes: #859616)

 -- Andreas Bombe <aeb@debian.org>  Thu, 06 Apr 2017 15:11:38 +0200

cubicsdr (0.2.0+git20170310+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #829516)

 -- Andreas Bombe <aeb@debian.org>  Fri, 17 Mar 2017 23:06:12 +0100

=== debian/control ===
Source: cubicsdr
Section: hamradio
Priority: optional
Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders: Andreas Bombe <aeb@debian.org>
Build-Depends: debhelper (>= 10),
    cmake,
    pkg-config,
    libsoapysdr-dev,
    libliquid-dev,
    libhamlib-dev,
    libwxgtk3.0-dev,
    libgl-dev,
    librtaudio-dev,
    libtinyxml-dev
Standards-Version: 3.9.8
Homepage: http://cubicsdr.org/
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-hamradio/cubicsdr.git
Vcs-Git: https://anonscm.debian.org/git/pkg-hamradio/cubicsdr.git

Package: cubicsdr
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Software Defined Radio receiver
 CubicSDR is a cross-platform Software-Defined Radio application which allows
 you to navigate the radio spectrum and demodulate any signals you might
 discover. It currently includes several common analog demodulation schemes such
 as AM and FM and will support digital modes in the future.
 .
 CubicSDR uses SoapySDR to access SDR hardware and thereby supports all hardware
 for which a SoapySDR module exists.

## cubicsdr 0.2.2+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 SET(CUBICSDR_VERSION_MAJOR "0")
 SET(CUBICSDR_VERSION_MINOR "2")
 SET(CUBICSDR_VERSION_PATCH "2")
-SET(CUBICSDR_VERSION_SUFFIX "-alpha")
+SET(CUBICSDR_VERSION_SUFFIX "")
 SET(CUBICSDR_VERSION "${CUBICSDR_VERSION_MAJOR}.${CUBICSDR_VERSION_MINOR}.${CUBICSDR_VERSION_PATCH}${CUBICSDR_VERSION_SUFFIX}")
 
 SET(CPACK_PACKAGE_VERSION "${CUBICSDR_VERSION_MAJOR}.${CUBICSDR_VERSION_MINOR}.${CUBICSDR_VERSION_PATCH}")
@@ -27,6 +27,8 @@
     # feature flags
     SET (CUBICSDR_ENABLE_VIEW_DEMOD ON CACHE BOOL "Enable Second Demodulator Spectrum/Waterfall view.")
     SET (CUBICSDR_ENABLE_VIEW_SCOPE ON CACHE BOOL "Enable Demodulator Scope/Spectrum view.")
+    SET (CUBICSDR_ENABLE_ABOUT_DIALOG ON CACHE BOOL "Enable About Dialog.")
+    SET (CUBICSDR_DEFAULT_HIDE_BOOKMARKS OFF CACHE BOOL "Hide Bookmarks by Default.")
     SET (CUBICSDR_MODEM_EXCLUDE CACHE "" "Comma-separated list of modems to exclude.")    
 
     IF (NOT CUBICSDR_HEADER_IMAGE STREQUAL "")
@@ -52,8 +54,10 @@
     SET (CUBICSDR_HEADER_IMAGE "")
     SET (CUBICSDR_HEADER_BG "")
     # feature flags
-    SET (CUBICSDR_ENABLE_VIEW_DEMOD TRUE)
-    SET (CUBICSDR_ENABLE_VIEW_SCOPE TRUE)
+    SET (CUBICSDR_ENABLE_VIEW_DEMOD ON)
+    SET (CUBICSDR_ENABLE_VIEW_SCOPE ON)
+    SET (CUBICSDR_DEFAULT_HIDE_BOOKMARKS OFF)
+    SET (CUBICSDR_ENABLE_ABOUT_DIALOG ON)
     SET (CUBICSDR_EXCLUDE_MODEM "")    
 ENDIF()
 
@@ -63,6 +67,14 @@
 
 IF(CUBICSDR_ENABLE_VIEW_SCOPE) 
     ADD_DEFINITIONS( -DCUBICSDR_ENABLE_VIEW_SCOPE=1 )
+ENDIF()
+
+IF(CUBICSDR_DEFAULT_HIDE_BOOKMARKS) 
+    ADD_DEFINITIONS( -DCUBICSDR_DEFAULT_HIDE_BOOKMARKS=1 )
+ENDIF()
+
+IF(CUBICSDR_ENABLE_ABOUT_DIALOG) 
+    ADD_DEFINITIONS( -DCUBICSDR_ENABLE_ABOUT_DIALOG=1 )
 ENDIF()
 
 ADD_DEFINITIONS(
@@ -325,14 +337,3 @@
     src/demod/DemodulatorMgr.cpp
     src/modules/modem/Modem.cpp
     src/modules/modem/ModemAnalog.cpp
-    src/modules/modem/ModemDigital.cpp
-    src/modules/modem/analog/ModemAM.cpp
-    src/modules/modem/analog/ModemDSB.cpp
-    src/modules/modem/analog/ModemFM.cpp
-    src/modules/modem/analog/ModemNBFM.cpp
-    src/modules/modem/analog/ModemFMStereo.cpp
-    src/modules/modem/analog/ModemIQ.cpp
-    src/modules/modem/analog/ModemLSB.cpp
-    src/modules/modem/analog/ModemUSB.cpp
-    src/audio/AudioThread.cpp
-    src/util/Gradient.cpp

=== debian/changelog ===
cubicsdr (0.2.2+dfsg-1build1) bionic; urgency=medium

  * No-change rebuild against librtaudio6

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 05 Nov 2017 06:47:58 +0000

cubicsdr (0.2.2+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Add copyright and license for external/rs232 to debian/copyright
  * Change Homepage field to new address (cubicsdr.com instead of .org)
  * Bump Standards-Version to 4.0.1, no changes necessary

 -- Andreas Bombe <aeb@debian.org>  Mon, 21 Aug 2017 20:49:38 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: cubicsdr
 Section: hamradio
 Priority: optional
-Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
 Uploaders: Andreas Bombe <aeb@debian.org>
 Build-Depends: debhelper (>= 10),
     cmake,
@@ -13,8 +14,8 @@
     libgl-dev,
     librtaudio-dev,
     libtinyxml-dev
-Standards-Version: 3.9.8
-Homepage: http://cubicsdr.org/
+Standards-Version: 4.0.1
+Homepage: http://cubicsdr.com/
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-hamradio/cubicsdr.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-hamradio/cubicsdr.git

## cubicsdr 0.2.3+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 SET(CUBICSDR_VERSION_MAJOR "0")
 SET(CUBICSDR_VERSION_MINOR "2")
-SET(CUBICSDR_VERSION_PATCH "2")
+SET(CUBICSDR_VERSION_PATCH "3")
 SET(CUBICSDR_VERSION_SUFFIX "")
 SET(CUBICSDR_VERSION "${CUBICSDR_VERSION_MAJOR}.${CUBICSDR_VERSION_MINOR}.${CUBICSDR_VERSION_PATCH}${CUBICSDR_VERSION_SUFFIX}")

=== debian/changelog ===
cubicsdr (0.2.3+dfsg-1) unstable; urgency=medium

  * New upstream version 0.2.3
  * Increase debhelper compat level to 11
  * Bump Standards-Version to 4.1.3, no changes necessary

 -- Andreas Bombe <aeb@debian.org>  Thu, 25 Jan 2018 02:14:54 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: cubicsdr
 Section: hamradio
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
+Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
 Uploaders: Andreas Bombe <aeb@debian.org>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11),
     cmake,
     pkg-config,
     libsoapysdr-dev,
@@ -14,7 +13,7 @@
     libgl-dev,
     librtaudio-dev,
     libtinyxml-dev
-Standards-Version: 4.0.1
+Standards-Version: 4.1.3
 Homepage: http://cubicsdr.com/
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-hamradio/cubicsdr.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-hamradio/cubicsdr.git

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


%:
	dh ${@} --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- -DUSE_HAMLIB=ON -DUSE_SYSTEM_RTAUDIO=ON

## cubicsdr 0.2.4+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 SET(CUBICSDR_VERSION_MAJOR "0")
 SET(CUBICSDR_VERSION_MINOR "2")
-SET(CUBICSDR_VERSION_PATCH "3")
+SET(CUBICSDR_VERSION_PATCH "4")
 SET(CUBICSDR_VERSION_SUFFIX "")
 SET(CUBICSDR_VERSION "${CUBICSDR_VERSION_MAJOR}.${CUBICSDR_VERSION_MINOR}.${CUBICSDR_VERSION_PATCH}${CUBICSDR_VERSION_SUFFIX}")

=== debian/changelog ===
cubicsdr (0.2.4+dfsg-1) unstable; urgency=medium

  * New upstream version 0.2.4
  * Add patch revert-migration-to-wx3.1 to revert upstream commit e46d7f973
    to make it stay compatible with wxWidgets 3.0 available in Debian
  * Set OpenGL_GL_PREFERENCE to GLVND so that cmake won't prefer legacy
    OpenGL libraries
  * Change Vcs-* fields in debian/control to the salsa repository addresses
  * Bump Standards-Version to 4.1.4, no changes necessary
  * Point Format: field in debian/copyright at https URL

 -- Andreas Bombe <aeb@debian.org>  Mon, 11 Jun 2018 23:18:44 +0200

=== debian/control ===
--- 
+++ 
@@ -13,10 +13,10 @@
     libgl-dev,
     librtaudio-dev,
     libtinyxml-dev
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Homepage: http://cubicsdr.com/
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-hamradio/cubicsdr.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-hamradio/cubicsdr.git
+Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/cubicsdr
+Vcs-Git: https://salsa.debian.org/debian-hamradio-team/cubicsdr.git
 
 Package: cubicsdr
 Architecture: any

## cubicsdr 0.2.5+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 SET(CUBICSDR_VERSION_MAJOR "0")
 SET(CUBICSDR_VERSION_MINOR "2")
-SET(CUBICSDR_VERSION_PATCH "4")
+SET(CUBICSDR_VERSION_PATCH "5")
 SET(CUBICSDR_VERSION_SUFFIX "")
 SET(CUBICSDR_VERSION "${CUBICSDR_VERSION_MAJOR}.${CUBICSDR_VERSION_MINOR}.${CUBICSDR_VERSION_PATCH}${CUBICSDR_VERSION_SUFFIX}")

=== debian/changelog ===
cubicsdr (0.2.5+dfsg-3~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX 19.
  * Created CubicSDR.desktop
  * Added cubicsdr.png
  * Added include-binaries for cubicsdr.png
  * Created install file for icon and .desktop file

 -- SwampRabbit <swamprabbit@mxlinux.org>  Thu, 03 Sep 2020 10:46:24 -0400

cubicsdr (0.2.5+dfsg-3) unstable; urgency=medium

  * Cherry-pick patch from upstream to be compatible with liquid-dsp 1.3.2.

 -- Christoph Berg <myon@debian.org>  Fri, 27 Dec 2019 16:15:09 +0100

cubicsdr (0.2.5+dfsg-2) unstable; urgency=medium

  * Rebuild against wxWidgets GTK 3 package. (Closes: #933474)
  * Recommend soapysdr-module-all, we need at least one module.
  * Add debian/gitlab-ci.yml.

 -- Christoph Berg <myon@debian.org>  Wed, 25 Dec 2019 18:50:28 +0100

cubicsdr (0.2.5+dfsg-1) unstable; urgency=medium

  * New upstream version.
  * Use https for Homepage.
  * Add myself to Uploaders.

 -- Christoph Berg <myon@debian.org>  Sun, 16 Dec 2018 11:13:52 +0100

=== debian/control ===
Source: cubicsdr
Section: hamradio
Priority: optional
Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
XSBC-Original-Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders: Andreas Bombe <aeb@debian.org>,
    Christoph Berg <myon@debian.org>,
Build-Depends: debhelper-compat (= 12),
    cmake,
    pkg-config,
    libsoapysdr-dev,
    libliquid-dev (>= 1.3.2),
    libhamlib-dev,
    libwxgtk3.0-gtk3-dev,
    libgl-dev,
    librtaudio-dev,
    libtinyxml-dev,
    libx11-dev,
Standards-Version: 4.4.1
Homepage: https://cubicsdr.com/
Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/cubicsdr
Vcs-Git: https://salsa.debian.org/debian-hamradio-team/cubicsdr.git

Package: cubicsdr
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: soapysdr-module-all
Description: Software Defined Radio receiver
 CubicSDR is a cross-platform Software-Defined Radio application which allows
 you to navigate the radio spectrum and demodulate any signals you might
 discover. It currently includes several common analog demodulation schemes such
 as AM and FM and will support digital modes in the future.
 .
 CubicSDR uses SoapySDR to access SDR hardware and thereby supports all hardware
 for which a SoapySDR module exists.

=== debian/rules ===
--- 
+++ 
@@ -7,5 +7,9 @@
 %:
 	dh ${@} --buildsystem=cmake
 
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
+
 override_dh_auto_configure:
-	dh_auto_configure -- -DUSE_HAMLIB=ON -DUSE_SYSTEM_RTAUDIO=ON
+	dh_auto_configure -- -DUSE_HAMLIB=ON -DUSE_SYSTEM_RTAUDIO=ON \
+		-DOpenGL_GL_PREFERENCE=GLVND

## cubicsdr 0.2.7%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,21 @@
 Source: cubicsdr
 Section: hamradio
 Priority: optional
-Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
-XSBC-Original-Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
+Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
 Uploaders: Andreas Bombe <aeb@debian.org>,
     Christoph Berg <myon@debian.org>,
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
     cmake,
-    pkg-config,
+    pkgconf,
     libsoapysdr-dev,
     libliquid-dev (>= 1.3.2),
     libhamlib-dev,
-    libwxgtk3.0-gtk3-dev,
+    libwxgtk3.2-dev,
     libgl-dev,
     librtaudio-dev,
     libtinyxml-dev,
     libx11-dev,
-Standards-Version: 4.4.1
+Standards-Version: 4.6.0
 Homepage: https://cubicsdr.com/
 Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/cubicsdr
 Vcs-Git: https://salsa.debian.org/debian-hamradio-team/cubicsdr.git

## cubicsdr 0.2.7+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 SET(CUBICSDR_VERSION_MAJOR "0")
 SET(CUBICSDR_VERSION_MINOR "2")
-SET(CUBICSDR_VERSION_PATCH "5")
+SET(CUBICSDR_VERSION_PATCH "7")
 SET(CUBICSDR_VERSION_SUFFIX "")
 SET(CUBICSDR_VERSION "${CUBICSDR_VERSION_MAJOR}.${CUBICSDR_VERSION_MINOR}.${CUBICSDR_VERSION_PATCH}${CUBICSDR_VERSION_SUFFIX}")
 
@@ -159,7 +159,7 @@
     SET(LIQUID_INCLUDES "${PROJECT_SOURCE_DIR}/external/liquid-dsp/include/" CACHE STRING "Liquid-DSP include directory")
     SET(LIQUID_LIBRARIES "${PROJECT_SOURCE_DIR}/external/liquid-dsp/msvc/${EX_PLATFORM}/libliquid.lib" CACHE STRING "Liquid-DSP Library")
     SET(LIQUID_DLL "${PROJECT_SOURCE_DIR}/external/liquid-dsp/msvc/${EX_PLATFORM}/libliquid.dll" CACHE STRING "Liquid-DSP DLL")
-    SET(HAMLIB_DLLS "${PROJECT_SOURCE_DIR}/external/hamlib/${EX_PLATFORM}/libhamlib-2.dll" CACHE STRING "HAMLIB DLLS")
+    SET(HAMLIB_DLLS "${PROJECT_SOURCE_DIR}/external/hamlib/${EX_PLATFORM}/libhamlib-4.dll" CACHE STRING "HAMLIB DLLS")
 ELSE (MSVC)
     ADD_DEFINITIONS(
         -std=c++0x 
@@ -326,6 +326,7 @@
     src/IOThread.cpp
     src/ModemProperties.cpp
     src/BookmarkMgr.cpp
+    src/SessionMgr.cpp
     src/sdr/SDRDeviceInfo.cpp
     src/sdr/SDRPostThread.cpp
     src/sdr/SDREnumerator.cpp
@@ -336,4 +337,3 @@
     src/demod/DemodulatorInstance.cpp
     src/demod/DemodulatorMgr.cpp
     src/modules/modem/Modem.cpp
-    src/modules/modem/ModemAnalog.cpp

=== debian/changelog ===
cubicsdr (0.2.7+dfsg-2) unstable; urgency=medium

  * Move to libwxgtk3.2-dev. (Closes: #1019780)

 -- Christoph Berg <myon@debian.org>  Sat, 17 Sep 2022 14:26:49 +0200

cubicsdr (0.2.7+dfsg-1) unstable; urgency=low

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Bump debhelper from old 12 to 13.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.

  [ Daniele Forsi ]
  * Update standards version to 4.6.0, no changes needed.

  [ Christoph Berg ]
  * New upstream version 0.2.7+dfsg.
  * debian/watch: Add repacksuffix.

 -- Christoph Berg <myon@debian.org>  Tue, 23 Aug 2022 13:49:31 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
     Christoph Berg <myon@debian.org>,
 Build-Depends: debhelper-compat (= 13),
     cmake,
-    pkgconf,
+    pkg-config,
     libsoapysdr-dev,
     libliquid-dev (>= 1.3.2),
     libhamlib-dev,

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all


%:
	dh ${@} --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- -DUSE_HAMLIB=ON -DUSE_SYSTEM_RTAUDIO=ON \
		-DOpenGL_GL_PREFERENCE=GLVND
